# coding: utf-8
# run it under boring_edu_doc folder
# $ python Scripts/python/test_gquiz.py
from __future__ import unicode_literals
import os, sys, requests
if (len(sys.argv) < 2):
    print("arg[1] : form, docs, moodle")
    quit()

def gquiz_form_test():
    '''
    arg[1] = form
    '''
    if not 'gquiz' in sys.modules:
        sys.path.insert(0, os.getcwd()+"/Scripts/python/Library/")
    from gquiz import gquiz

    q = gquiz()
    q.setSavePath(".")
    q.setProgress(0)
    q.generateService("unit test form")
    q.setProgress(50)
    opt = [	q.createOption(1, "option1","/asset/option1.png"),
           q.createOption(2, "option2","/asset/option2.png"),
           q.createOption(3, "option3","/asset/option3.png"),
           q.createOption(4, "option4","/asset/option4.png"),
           q.createOption(5, "option5","/asset/option5.png") ]
    q.setProgress(80)
    qq = q.createQuestion(title = "Soal No 1",\
            description = "Dari gambar dibawah ini, ada bagian gambar yang hilang. Dari pilihan dibawah, manakah gambar yang benar?",\
            indexAnswer = 4, options = opt, itemImage='/asset/test_image.png')
    q.setProgress(85)
    q.submitItem(0,qq)
    q.setProgress(90)
    q.update()
    q.setProgress(100)
    print("Open link : {}".format(q.resultUri))

def gquiz_docs_test():
    '''
    arg[1] = docs
    '''
    if not 'gdoc' in sys.modules:
        sys.path.insert(0, os.getcwd()+"/Scripts/python/Library/")
    from gdoc import gdoc

    q = gdoc()
    q.setSavePath(".")
    q.setProgress(0)
    q.generateService("unit test docs")
    q.setProgress(50)
    opt = [	q.createOption(1, "option1","/asset/option1.png"),
           q.createOption(2, "option2","/asset/option2.png"),
           q.createOption(3, "option3","/asset/option3.png"),
           q.createOption(4, "option4","/asset/option4.png"),
           q.createOption(5, "option5","/asset/option5.png") ]
    q.setProgress(80)
    qq = q.createQuestion(title = "Soal No 1",\
            description = "Dari gambar dibawah ini, ada bagian gambar yang hilang. Dari pilihan dibawah, manakah gambar yang benar?",\
            indexAnswer = 4, options = opt, itemImage='/asset/test_image.png')
    q.setProgress(85)
    q.submitItem(0,qq)
    q.setProgress(90)
    q.update()
    q.setProgress(100)
    print("Open link : {}".format(q.resultUri))

def moodle_test():
    if not 'moodleQuiz' in sys.modules:
        sys.path.insert(0, os.getcwd()+"/Scripts/python/Library/")
    from moodleQuiz import moodleQuiz 

    q = moodleQuiz()
    q.setSavePath(".")
    q.setProgress(0)
    opt = [	q.createOption(1, "option1","./asset/option1.png"),
           q.createOption(2, "option2","./asset/option2.png"),
           q.createOption(3, "option3","./asset/option3.png"),
           q.createOption(4, "option4","./asset/option4.png"),
           q.createOption(5, "option5","./asset/option5.png") ]
    qq = q.createQuestion(title = "Soal No 1",\
            description = "Dari gambar dibawah ini, ada bagian gambar yang hilang. Dari pilihan dibawah, manakah gambar yang benar?",\
            indexAnswer = 4, options = opt, itemImage='./asset/test_image.png')
    q.setProgress(85)
    q.submitItem(0,qq)
    q.setProgress(80)
    q.update()
    q.setProgress(100)

if (sys.argv[1] == 'form'):
    gquiz_form_test()
elif (sys.argv[1] == 'docs'):
    gquiz_docs_test()
elif (sys.argv[1] == 'moodle'):
    moodle_test()
